/*
 * Spenden Page specific styles
 */

/* Example styling */
.spenden-page-body .hero-image {
    background: url(../img/spenden/hero-spenden.jpg) bottom / cover no-repeat;
    height: 540px;

}

.hero-overlay .grid h2 {
    max-width: 100%;
}

.spenden-page-body .hero-title {
    color: white;
    text-align: center;
    padding-top: 150px;
}

.content-media {
    max-width: 100%;
    ;
}

.content-grid {
    display: grid;
    /* grid-template-columns: minmax(0, 1fr) minmax(0, 1fr); */
    gap: 60px;
    align-items: center;
}

@media (min-width: 981px) {
    .content-grid {
        grid-template-columns: minmax(0, 450px) minmax(0, 750px);
    }
}

.content-section .content-text {
    position: relative;
}


.spenden__aside {
    position: absolute;
    background-color: var(--blue);
    color: #fff;
    padding: 45px;
    border-radius: 16px;
    bottom: -260px;
    width: 650px;
    font-size: 28px;
}




.spenden__aside h3 {
    color: #fff;
    font-size: 28px;
    font-weight: 700;
}

.spenden__aside ul {
    margin-top: 32px;
    list-style: none;
    columns: 2;
}

.spenden__aside ul li {
    margin-bottom: 12px;

}

.spenden__aside ul li:last-of-type,
.spenden__aside ul li:nth-child(3) {

    margin-bottom: 0;
}

@media (min-width: 981px) {
    .content-grid--reverse {
        grid-template-columns: minmax(0, 750px) minmax(0, 450px);
    }
}

@media (max-width: 1199px) {
    .spenden__aside {
        position: inherit;
        bottom: 0;
    }

    .spenden__aside h3 {
        font-size: 24px;
    }

    .spenden__aside ul {
        font-size: 18px;
    }
}

@media (max-width: 425px) {
    .spenden__aside ul {
        columns: 1;
    }

    .spenden__aside ul li:last-of-type,
    .spenden__aside ul li:nth-child(3) {
        margin-bottom: 12px;
    }

}

section.content-section:has(.content-grid--reverse) {
    background-color: #fff;
}

.index-1 .content-grid {
    align-items: baseline;
}

.index-2 {
    margin-top: 30px;
}

.index-2 p {
    max-width: 618px;
}

.index-2 .buttons__container {
    display: flex;
    gap: 30px;
}

.zahlen-section::before {
    background: url(../img/spenden/spenden-3.jpg) center / cover no-repeat;
}

.zahlen-section .zahlen-item {
    padding: 25px;
    align-items: center;
    justify-content: center;
}

.zahlen-section .zahlen-item .zahlen-percentage {
    font-size: 70px;
    color: #fff;
    font-weight: 700;
    line-height: 1;
    width: 100%;
    text-align: left;
}



.zahlen-section .zahlen-item .zahlen-text {
    font-size: 20px;
    font-weight: 400;
    line-height: 1.5;
    letter-spacing: 1%;
}

@media (min-width: 1366px) {
    .index-6 .content-grid {
        grid-template-columns: minmax(0, 750px) minmax(0, 750px);
    }

    .index-6 .content-text {
        top: 160px;
        width: 740px;
    }

    .index-6 .content-media {
        position: absolute;
        max-width: 740px;
        height: 506px;
    }

    .index-7 {
        margin-top: 160px;
    }
}


.index-6 .content-text {
    background: var(--green);
    padding: 40px;
    color: #fff;
    border-radius: 16px;
}

.index-6 .content-text h2 {
    font-size: 30px;
    line-height: 1.3;
    color: #fff;
}

.index-6 .media-card-cta {
    width: fit-content;
}

.index-6 .content-text p {
    max-width: 406px;
}


@media (min-width: 1366px) {
    
    .index-8 .content-grid {
        grid-template-columns: minmax(0, 750px) minmax(0,450px);
        position: relative;
    }

    .index-8 .content-text {
        top: 160px;
        position: absolute;
        right: 0;
    }

    .index-8 .content-media img {
        width: 740px;
        height: 506px;
    }

    .index-9 {
        margin-top: 100px;
    }
}

.index-8 .content-text {
    background: var(--blue);
    padding: 40px;
    color: #fff;
    border-radius: 16px;
}

.index-8 .content-text h2 {
    font-size: 30px;
    line-height: 1.3;
    color: #fff;
}

.index-8 .media-card-cta {
    width: fit-content;
}

.index-9 {
    background: var(--green-bg);
}

section.index-10.content-section:has(.content-grid--reverse) {
    background: #E3EEF2 !important;
}

.index-10 .content-text, .index-9 .content-text, .index-7 .content-text, .index-5 .content-text, .index-4 .content-text {
    height: 100%;
    justify-content: space-between;
}

@media (max-width: 768px) {

    .zahlen-section .zahlen-item .zahlen-percentage {
        font-size: 40px;
    }

    .zahlen-section .zahlen-item .zahlen-text {
        font-size: 16px;
    }


    .index-8 .content-media img {
        width: 100%;
        height: auto; 
    }

    .index-8 .content-text {
        width: 100%; 
        padding: 20px; 
        box-sizing: border-box; 
    }

    .index-8 .content-text h2, .index-6 .content-text h2 {
        font-size: 24px;
    }

    .index-6 .content-text {
        padding: 20px;
    }
}